Bug 6969 - When a file is modified within the IDE, the IDE is exited and "Discard All" is clicked when asked what to do with the modified files upon exit, the changes are saved anyway.
When a file is modified within the IDE, the IDE is exited and "Discard All" i...
Status: CLOSED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
3.x
All All
: P1 (vote)
: TBD
Assigned To: David Strupl
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-04 10:01 UTC by iformanek
Modified: 2003-07-01 14:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Exceptions from the log (2.44 KB, text/plain)
2001-07-20 20:38 UTC, David Strupl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description iformanek 2000-07-04 10:01:00 UTC
I have put a thread dump into the saveAll method in NbTopManager, and this is
what happens when I press discard (in the current codebase):

java.lang.Exception: Stack trace
	at java.lang.Thread.dumpStack(Thread.java:993)
	at org.netbeans.core.NbTopManager.saveAll(NbTopManager.java:521)
	at org.netbeans.modules.projects.PSupport.projectSave(PSupport.java:186)
	at org.netbeans.core.NbProjectOperation.storeLastProject
(NbProjectOperation.java:62)
	at org.netbeans.core.NbTopManager.exit(NbTopManager.java:582)
	at org.netbeans.core.NbTopManager.exit(NbTopManager.java:570)
	at org.netbeans.core.actions.SystemExit.performAction
(SystemExit.java:45)
	at org.netbeans.core.MainWindow$1.windowClosing(MainWindow.java:166)
	at java.awt.AWTEventMulticaster.windowClosing
(AWTEventMulticaster.java:291)
	at java.awt.Window.processWindowEvent(Window.java:798)
	at javax.swing.JFrame.processWindowEvent(JFrame.java:241)
	at java.awt.Window.processEvent(Window.java:774)
	at java.awt.Component.dispatchEventImpl(Component.java:2595)
	at java.awt.Container.dispatchEventImpl(Container.java:1213)
	at java.awt.Window.dispatchEventImpl(Window.java:912)
	at java.awt.Component.dispatchEvent(Component.java:2499)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:319)
	at java.awt.EventDispatchThread.pumpOneEvent
(EventDispatchThread.java:103)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:84)

Apparently, , the saveAll is not called from the ExitDialog, as it would be if
I would press "Save All" when asked during exiting. The ExitDialog works
correctly, but upon exiting, the current project is saved, and as part of
saving the project, the saveAll () is called from the projects module (the
PSupport class). This was probably done to fix problems with potentially losing
modified files when switching project, but it does not work correctly during
exit.
Comment 1 Jaroslav Tulach 2000-07-04 11:11:59 UTC
I have fixed the bug in boston, should it also be fixed in main revision
(because it is ugly hack) and the solution should be implemented somewhere in
projects, I guess?
Comment 2 Jesse Glick 2000-07-04 12:06:59 UTC
Also see hack workaround 1.60.2.3 in NbTopManager by Jarda.
Comment 3 Jan Chalupa 2000-08-17 16:10:59 UTC
Resolved with a hack in Boston, survives in the main trunk.
Comment 4 Jaroslav Tulach 2000-11-08 11:34:59 UTC
Also merged to release31.
Comment 5 Jaroslav Tulach 2001-01-09 13:32:59 UTC
Reopened, Martin, can you come up with nicer solution?
Comment 6 Martin Ryzl 2001-01-09 14:02:59 UTC
The solution is part of refactoring in the project module code. It should be
done in few weeks.
Comment 7 Jan Zajicek 2001-01-23 09:45:59 UTC
Automated change of version from Other to Dev.
Comment 8 David Strupl 2001-01-23 13:53:59 UTC
It is fixed in unstablerf branch of projects module. The branch should be
merged back into the trunk this week.
Comment 9 David Strupl 2001-02-20 10:13:21 UTC
Created attachment 639 [details]
Exceptions from the log
Comment 10 David Strupl 2001-02-20 10:15:01 UTC
The attachment should go to 9696 ;-) Will attach again, sorry.
Comment 11 David Strupl 2001-03-05 13:37:13 UTC
By merging unstablerf branch of projects this should be fixed.
Comment 12 Milan Kubec 2002-01-25 10:02:33 UTC
Verified.
Comment 13 Quality Engineering 2003-07-01 14:17:27 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo